#ifndef	_SWI_INTERNALS_H
#define	_SWI_INTERNALS_H

extern int	__swi_get_params(const char *p, term_t t0, va_list vl);
extern int	__swi_put_params(const char *p, term_t t0, va_list vl);
extern void	__swi_set_engine_busy(void);
extern void	__swi_set_engine_idle(void);

#endif
